from axipy import provider_manager, data_manager, init_axioma, AxiomaInitLogLevel

from TopoSimplifier.ui.tools.add_helper.helper_simplifier import getEdgeExternal
app = init_axioma(log_level=AxiomaInitLogLevel.disabled,load_python_plugins=False)
__row_id_field='__rowid__'
path_source=r"E:\Support\AxiomaTesting\Topo\Муниципальные_районы_РФ_3857.tab"

tab_source=provider_manager.openfile(path_source)
sql = "Select RowNum() as " + __row_id_field + ",* from " + tab_source.name
query_tab = data_manager.query_hidden(sql)

comb_obj=None
for ft in query_tab.items():
    if ft.geometry is None:
        continue

    if comb_obj is None:
        comb_obj=ft.geometry
    else:
        comb_obj = comb_obj.union(ft.geometry)

geo_combine_linestring=comb_obj.to_linestring()
external_edge = getEdgeExternal(query_tab, 0, __row_id_field,geo_combine_linestring)
app.exit()