from axipy import init_axioma, AxiomaInitLogLevel, provider_manager, LinearUnits

from TopoSimplifier.ui.tools.add_helper.distance_helper import Distance
from TopoSimplifier.ui.tools.simplifier_tools import Simplifier

app = init_axioma(log_level=AxiomaInitLogLevel.disabled,load_python_plugins=False)
path_source=r"E:\Support\AxiomaTesting\Topo\subject_rf_3857.tab"
path_result=r"E:\Support\AxiomaTesting\Topo\subject_rf_3857_temp_result.tab"
path_source=r"E:\Support\AxiomaTesting\Topo\test\test_topo_3857_1.tab"
path_result=r"E:\Support\AxiomaTesting\Topo\test\test_topo_3857_1_debug.tab"
tab_source=provider_manager.openfile(path_source)
tollerance=Distance(0.1,LinearUnits.km)
cls_simplifire=Simplifier(tab_source.name,path_result,tollerance)
cls_simplifire.run()
tab_source.close()
app.exit()