from pathlib import Path

from axipy import init_axioma, AxiomaInitLogLevel, provider_manager, LinearUnits, Feature

app = init_axioma(log_level=AxiomaInitLogLevel.disabled,load_python_plugins=False)
path_source=r"E:\Support\AxiomaTesting\Topo\test\test_topo_3857_1.tab"
path_dest=r"E:\Support\AxiomaTesting\Topo\test\test_topo_3857_1_intersect2.tab"
tab_source=provider_manager.openfile(path_source)
if Path(path_dest).exists():
    provider_manager.tab.remove_table_files(path_dest)
tab_des=provider_manager.createfile(path_dest,tab_source.schema)
geo_comb=None
fts=list(tab_source.items())
geo_intrsect_3_1=fts[2].geometry.intersection(fts[0].geometry)
geo_intrsect_3_2=fts[2].geometry.intersection(fts[1].geometry)

tab_source.close()
ft_new=Feature({"ID":1},geometry=geo_intrsect_3_1)
tab_des.insert(ft_new)
ft_new=Feature({"ID":2},geometry=geo_intrsect_3_2)
tab_des.insert(ft_new)
tab_des.commit()
tab_des.close()
print("end")
app.exit()