from axipy import init_axioma, AxiomaInitLogLevel, provider_manager, LinearUnit

from TopoSimplifier.ui.tools.add_helper.distance_helper import Distance, getToleranceFromGrad

app = init_axioma(log_level=AxiomaInitLogLevel.disabled,load_python_plugins=False)
path_source=r"E:\Support\AxiomaTesting\Topo\SubjectRF.tab"
tab=provider_manager.openfile(path_source)
rec_data=tab.get_bounds()
dist_cls=Distance(0.3,LinearUnit.km)
value_tollerance=getToleranceFromGrad(rec_data,tab.coordsystem,dist_cls)
app.exit()
