from osgeo import ogr
def getListFidIntersect(ds,name_layer,base_fid):
    sql="select base.fid from (select * from "+name_layer+" where fid>"+str(base_fid)+") as base,(select * from "+name_layer+" where fid="+str(base_fid)+") as sft where Intersects(base.geom,sft.geom)"
    ly_sel=ds.ExecuteSQL(sql)
    list_fid=[]
    for ft in ly_sel:
        list_fid.append(ft.GetFID())
    ly_sel=None
    return list_fid
def snapGeometry(ds,name_layer,id_base,id_second,name_field,tollerance):
    sql_1="(select geom from "+name_layer+" where "+name_field+"="+str(id_base)+")"
    sql_2 = "select geom from " + name_layer + " where " + name_field + "=" + str(id_second)
    sql_2_d="("+sql_2+").geom"
    sql_update_1="Update "+name_layer+" Set geom=ST_Snap(geom,"+sql_2_d+","+str(tollerance)+") where "+name_field+"="+str(id_base)
    ds.ExecuteSQL(sql_update_1)
    return
path_source=r"E:\Support\AxiomaTesting\Topo\test\test_topo_3857_1.gpkg"
ds=ogr.Open(path_source,1)
layer_base=ds.GetLayerByName('test_topo_3857_1')
ds.StartTransaction()
for ft in layer_base:
    fid=ft.GetFID()
    id=ft.GetField("ID")
    list_intersect=getListFidIntersect(ds,'test_topo_3857_1',fid)
    for fid_sel in list_intersect:
        snapGeometry(ds,'test_topo_3857_1',fid,fid_sel,"fid",0.5)
    jkl=0

layer_base=None
ds.CommitTransaction()
ds=None
print("End")