from axipy import init_axioma, AxiomaInitLogLevel, provider_manager, LinearUnits, data_manager

from TopoSimplifier.ui.tools.add_helper.distance_helper import Distance
from TopoSimplifier.ui.tools.simplifier_tools import Simplifier
app = init_axioma(log_level=AxiomaInitLogLevel.disabled,load_python_plugins=False)
path_source=r"E:\Support\AxiomaTesting\Topo\subject_rf_3857.tab"
path_source=r"E:\Support\AxiomaTesting\Topo\Муниципальные_районы_РФ_3857.tab"
tab_source=provider_manager.openfile(path_source)
tollerance=Distance(0.3,LinearUnits.km)
path_out=r"E:\Support\AxiomaTesting\Topo\Муниципальные_районы_РФ_3857_result_test.tab"
cls_simplifire=Simplifier(tab_source.name,path_out,tollerance)
sql="Select RowNum() as '__rowid__,* from "+tab_source.name
query_tab=data_manager.query_hidden(sql)

path_simplifire=r"C:\Users\Fujitsu\AppData\Local\Temp\Axioma.GIS-hvudnY\Муниципальные_районы_РФ_3857__simplifier.tab"
tab_simplifire=provider_manager.openfile(path_simplifire)
source_point,result_point=cls_simplifire.finishedSimplifier(query_tab,tab_simplifire)
query_tab.close()
tab_simplifire.close()

#cls_simplifire.run()
tab_source.close()
print("End")
app.exit()